Bug 1032145 - /rest/runtime/{depId}/history/instance/{procId}/node call fails for all processes
/rest/runtime/{depId}/history/instance/{procId}/node call fails for all proce...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER6
: 6.0.0
Assigned To: Marco Rietveld
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 10:48 EST by Marco Rietveld
Modified: 2016-09-20 01:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:11:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4170 Major Resolved Broken /rest/runtime/{depId}/history/instance/{procId}/node 2014-04-10 10:35:29 EDT

  None (edit)
Description Marco Rietveld 2013-11-19 10:48:18 EST
Description of problem:


Version-Release number of selected component (if applicable): 6.0.0-SNAPSHOT


How reproducible:
Always

Steps to Reproduce:
1. Execute any process - at least one node (e.g. the start node) will have a null workItemId in the NodeInstanceLog table.
2. Get from URL /rest/runtime/{depId}/history/instance/{procId}/node

Actual results:

Operation does *not* return list of information (JaxbNodeInstanceLog instances).
Exception: "Unable to initialize workItemId when creating JaxbNodeInstanceLog.".

Expected results:
Operation does return list of information (JaxbNodeInstanceLog instances).

Additional info:
See JBPM-4170
Comment 3 JBoss JIRA Server 2013-11-20 18:41:38 EST
Marco Rietveld <marco.rietveld@redhat.com> updated the status of jira JBPM-4170 to Resolved
Comment 4 Ivo Bek 2014-01-14 04:42:56 EST
Verified in BPMS 6.0.0.ER7

Note You need to log in before you can comment on or make changes to this bug.